namespace Tinkerforge
{
    public static class EDualRelay
    {
        public static (bool Relay1, bool Relay2) GetState(this BrickletDualRelay dualRelay)
        {
            dualRelay.GetState(out bool relay1, out bool relay2);
            return (relay1, relay2);
        }

        public static (bool State, long Time, long TimeRemaining, byte Relay) GetMonoflop(this BrickletDualRelay dualRelay,
            byte relay)
        {
            dualRelay.GetMonoflop(relay, out bool state, out long time, out long timeRemaining);
            return (state, time, timeRemaining, relay);
        }

    }
}
